# $Revision: 1.14 $, $Date: 2009/10/20 04:45:56 $
Summary:	xsetroot application - root window parameter setting utility for X
Summary(pl.UTF-8):	Aplikacja xsetroot - narzędzie do zmiany parametrów głównego okna X
Name:		xorg-app-xsetroot
Version:	1.0.3
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/app/xsetroot-%{version}.tar.bz2
# Source0-md5:	cbda9b9b8da5af4614110883d5a276b8
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-data-xbitmaps
# just xmuu
BuildRequires:	xorg-lib-libXmu-devel
BuildRequires:	xorg-util-util-macros >= 1.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The xsetroot program allows you to tailor the appearance of the
background ("root") window on a workstation display running X.
Normally, you experiment with xsetroot until you find a personalized
look that you like, then put the xsetroot command that produces it
into your X startup file.

%description -l pl.UTF-8
Program xsetroot pozwala dostroić wygląd tła (głównego okna) ekranu z
działającym X. Zwykle eksperymentuje się z xsetroot do osiągnięcia
lubianego, spersonalizowanego wyglądu, a następnie umieszcza tworzące
go polecenie xsetroot w pliku startowym X.

%prep
%setup -q -n xsetroot-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_bindir}/xsetroot
%{_mandir}/man1/xsetroot.1x*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-app-xsetroot.spec,v $
Revision 1.14  2009/10/20 04:45:56  qboosh
- updated to 1.0.3

Revision 1.13  2007/08/10 23:30:25  qboosh
- real descs from man
- updated util-macros BR

Revision 1.12  2007/08/10 09:12:22  arekm
- up to 1.0.2

Revision 1.11  2007/02/12 22:09:24  glen
- tabs in preamble

Revision 1.10  2007/02/12 01:06:39  baggins
- converted to UTF-8

Revision 1.9  2006/10/14 21:57:31  qboosh
- use individual dir, release 1

Revision 1.8  2006/01/13 09:28:17  qboosh
- 1.0.1 (X11R7.0 release)

Revision 1.7  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.6  2005/10/22 17:07:24  qboosh
- 0.99.1 (X11R7.0-RC1)
- removed outdated man patch

Revision 1.5  2005/08/27 21:46:18  qboosh
- sorted BRs

Revision 1.4  2005/08/27 20:04:01  wiget
- standard permisions to binaries

Revision 1.3  2005/08/27 20:00:45  wiget
- cleanups, kill /usr/X11R6

Revision 1.2  2005/08/27 17:42:47  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.1  2005/08/14 22:46:42  arekm
- modular xorg specs

* Sun Aug 14 2005 21:58:08  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- fixed summaries and descriptions
- fixed Group
- defined %%{_prefix} and %%{_mandir}
- added xsetroot-man.patch
- removed redundant BR: libX11-devel
- release 0.02

* Mon Aug  8 2005 14:55:18  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- initial release
